Package list libatasmart / 9ec7e42
Bump Build-Depends on debhelper to (>= 7.2.7) for override targets and the --remaining-packages option. Michael Biebl 10 years ago
3 changed file(s) with 4 addition(s) and 3 deletion(s). Raw diff Collapse all Expand all
55 - Remove /usr/share/cdbs/1/rules/patchsys-quilt.mk from debian/rules.
66 * Switch from cdbs to dh
77 - Drop Build-Depends on cdbs.
8 - Bump Build-Depends on debhelper to (>= 7.0.50~) for override targets.
8 - Bump Build-Depends on debhelper to (>= 7.2.7) for override targets and
9 the --remaining-packages option.
910 - Convert debian/rules to use dh.
1011 * Bump Standards-Version to 3.9.1. No further changes.
1112 * Use dpkg-vendor instead of lsb_release.
22 Priority: optional
33 Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
44 Uploaders: Michael Biebl <biebl@debian.org>, Martin Pitt <mpitt@debian.org>
5 Build-Depends: debhelper (>= 7.0.50~),
5 Build-Depends: debhelper (>= 7.2.7),
66 autotools-dev,
77 pkg-config,
88 libudev-dev
55 LDFLAGS += -Wl,--as-needed
66
77 override_dh_link:
8 dh_link
98 dh_link -plibatasmart-dev lib/$$(basename $$(readlink debian/tmp/usr/lib/libatasmart.so)) usr/lib/libatasmart.so
9 dh_link --remaining-packages
1010
1111 override_dh_install:
1212 dh_install